Error with the recent earthquake generation

Array ( [id] => 20110304.0850 [type] => dyfi [lang] => en )

Error!

The ID number is not valid.